function cam = cams5_400()

% Canon Powershot S5 ISO400

% Camera collection and measurement parameters
cam.resx = 20;
cam.resy = 20;
cam.res = [cam.resx cam.resy];
cam.bps = 10;
cam.spp = 1;

% Camera gain
cam.g = 0.92;

% Photo-response non-uniformity
cam.A.gen.mu = 1;
%cam.A.gen.var = 0.02^2;
%cam.A.a = normrnd(cam.A.gen.mu, sqrt(cam.A.gen.var), cam.resx, cam.resy);
cam.A.gen.var = 0;
cam.A.a = 1;

% Dark current
cam.D.mu = 1;
cam.D.var = cam.D.mu;

% Readout noise
cam.R.mu = 32;
cam.R.var = 6.5;

% Surface full well 
cam.vmax = 1023;
cam.SFW = (cam.vmax - (cam.R.mu - 3*sqrt(cam.R.var)))/cam.g;
cam.vsat = cam.vmax;
cam.nv = cam.vmax+1;
