function [snrmux varmux mux varmuxS muxS wmuxS] = topt_evalvarx_full(cam, x, t, full_simulation)

  varmux = 0;
  muxS = zeros(size(x));
  wmuxS = zeros(size(x));
  varmuxS = zeros(size(x));
  
  for i=1:length(t)
	if(full_simulation)
	  [vi bi] = expose_simple(cam, x, t(i));
	  vi = double(vi);
	  bi = double(bi);
	else
	  vi = cam.g*t(i)*(x +               cam.D.mu) + cam.R.mu;
	  bi = cam.g*t(i)*(    ones(size(x))*cam.D.mu) + cam.R.mu;
	end

	vnsat = vi < cam.vsat;

	%fprintf(1,"t=1/%-6d, nnsat=%d\n", round(1./t(i)), sum(vi(:)<cam.vsat))
	varxi = ...
		(cam.g^2 * t(i) * (x + 2*cam.D.mu) + 2*cam.R.var) ./ ...
		(cam.g^2 * t(i)^2);
	varmuxS(vnsat) += 1./varxi(vnsat);

	wmux = 1./varxi(vnsat);
	wmuxS(vnsat) += wmux;
	muxS(vnsat) += wmux .* (vi(vnsat) - bi(vnsat))./(cam.g * t(i));
  end
  varmux = 1./varmuxS;

  mux = muxS ./ wmuxS;
  snrmux = (x ./ sqrt(varmux));
